For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve AutoCertificate

Returns the AutoCertificate by ID.

get
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
autoCertificateIdstring · uuidRequired

The ID (UUID) of the AutoCertificate.

Example: f88467f8-a2d6-5871-83b9-e10f23d0a48a
Responses
200

Getting AutoCertificate was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the AutoCertificate.

Example: f88467f8-a2d6-5871-83b9-e10f23d0a48a
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AutoCertificate.

Example: /auto-certificates/f88467f8-a2d6-5871-83b9-e10f23d0a48a
get/auto-certificates/{autoCertificateId}
GET /auto-certificates/{autoCertificateId} HTTP/1.1
Host: certificate-manager.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "f88467f8-a2d6-5871-83b9-e10f23d0a48a",
  "type": "autocertificate",
  "href": "/auto-certificates/f88467f8-a2d6-5871-83b9-e10f23d0a48a",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "message": "Issue in progress.",
    "lastIssuedCertificate": "cbee81a3-9389-57ba-bc50-393adcfca141"
  },
  "properties": {
    "provider": "b471cd03-ef51-52c5-91a5-49195b0a04d4",
    "commonName": "www.example.com",
    "keyAlgorithm": "rsa4096",
    "name": "My Auto renewed certificate",
    "subjectAlternativeNames": [
      "app.example.com"
    ]
  }
}

Last updated

Was this helpful?